# Uses of Interface
org.bukkit.inventory.meta.tags.CustomItemTagContainer

Packages that use CustomItemTagContainer
Package
Description
org.bukkit.inventory.meta
The interfaces used when manipulating extra data can can be stored inside `item stacks`.
org.bukkit.inventory.meta.tags
Classes that allow attaching custom data to items.

## Uses of CustomItemTagContainer in org.bukkit.inventory.meta

Methods in org.bukkit.inventory.meta that return CustomItemTagContainer
Modifier and Type
Method
Description
`@NotNull CustomItemTagContainer`
ItemMeta.`getCustomTagContainer()`
Deprecated.
this API part has been replaced by the `PersistentDataHolder` API.

## Uses of CustomItemTagContainer in org.bukkit.inventory.meta.tags

Fields in org.bukkit.inventory.meta.tags with type parameters of type CustomItemTagContainer
Modifier and Type
Field
Description
`static final ItemTagType<CustomItemTagContainer,CustomItemTagContainer>`
ItemTagType.`TAG_CONTAINER`
Deprecated.
`static final ItemTagType<CustomItemTagContainer,CustomItemTagContainer>`
ItemTagType.`TAG_CONTAINER`
Deprecated.
Methods in org.bukkit.inventory.meta.tags that return CustomItemTagContainer
Modifier and Type
Method
Description
`@NotNull CustomItemTagContainer`
ItemTagAdapterContext.`newTagContainer()`
Deprecated.
Creates a new and empty tag container instance.